export const drupalFeeds = async (execute) => {
    const results = (await execute({
        operationName: 'DrupalFeedInfo',
        query: `
    query DrupalFeedInfo {
      drupalFeedInfo:_drupalFeedInfo {
        typeName
        translatable
        singleFieldName
        listFieldName
        pathFieldName
        templateFieldName
      }
    }
    `,
        variables: {},
    }));
    if (!results.data) {
        throw new Error(`Cannot fetch Drupal feed information: ${JSON.stringify(results, null, 2)}`);
    }
    return results.data.drupalFeedInfo || [];
};
