import { GraphQLSchema } from 'graphql';
/**
 * Extract Object types with @sourceFrom directives.
 *
 * Returns a map of type names to source package and function name tuples.
 */
export declare function extractSourceMapping(schema: GraphQLSchema): Record<string, string>;
/**
 * Extract a list of all union types.
 */
export declare function extractUnions(schema: GraphQLSchema): string[];
/**
 * Extract a list of all interface types.
 */
export declare function extractInterfaces(schema: GraphQLSchema): string[];
/**
 * Clean up a schema string and remove everything that could confuse Gatsby.
 */
export declare function cleanSchema(schema: string): string;
